Subject: Re: bug#4019: command to move point to #else (or #elif) in c-mode

From: Daniel Martín <[email-masked]>
Date: Sun, 10 Jul 2022 12:35:15 +0200

Stefan Kangas <[email-masked]> writes:

> Hi Alan,
>
> Dan Nicolaescu <[email-masked]> writes:
>
>> When looking at code with a lot of preprocessor conditionals, a lot of
>> times it is very useful when the point is at an #if to move it the
>> corresponding #else (or #elif) to check what is happening on the other
>> branch of the #if.  C-c C-p and C-c C-n are not very useful when you
>> have to deal with a lot of nested and not nested #if #else.
>
> This wishlist request was reported in 2009, but never got a reply.
>
> It seems to me that such a command would be useful but is still missing.

There are c-down-conditional-with-else and c-up-conditional-with-else,
which you can bind to a key if you use them frequently.